$INCLUDE: 'C:\FG\INTRFACE.FOR'

      PROGRAM MAIN

      INTEGER*2 FG_PLAYING

      CALL FG_MUSICB('T150L8EDCDEEEP DDDP EGGP EDCDEEE L16PL8EDDEDC$',1)
      CALL FG_WAITKEY

      CALL FG_SUSPEND
      WRITE(6,*) 'Music suspended.  Press any key to resume.'
      CALL FG_WAITKEY

      CALL FG_RESUME
      WRITE(6,*) 'Music resumed.'
10    IF (FG_PLAYING() .EQ. 1) GO TO 10
      WRITE(6,*) 'Music finished.'

      STOP ' '
      END
